Page MenuHomePhabricator

Don't visually group property values by property in qualifiers
Closed, DeclinedPublic

Description

It doesn't always make sense to group property values by property in the qualifiers part of a statement.

For example, Marion Barry served two terms as mayor of Washington, D.C.

I expect each pair of property => value to be listed separately, in the order I entered and specified. That way, I can list

  • start date 1
  • end date 1
  • horizontal rule or border (optionally but not required)
  • start date 2
  • end date 2

Instead, it gets displayed (http://snag.gy/cSvBW.jpg) as:

  • start date 1
  • start date 2
  • horizontal rule or border
  • end date 1
  • end date 2

Listing them separate is better.

Details

Reference
bz63564

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:16 AM
bzimport set Reference to bz63564.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Apr 5 2014, 8:15 AM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).

Do we really need to have this resolved? Such cases are normally handled by having the statement twice with different qualifiers.

Actually, I was wondering the same at first. From a UI perspective, adding the value twice seems to be more natural (resulting in that being the common scenario on Wikidata). Taking the perspective of querying, there would be reasons for that different concept though. Either way, the concept should be documented properly in the Wikibase software as it imposes a kind of standard about how users are assumed to use the software. Challenging that standard (which is, in a way, what this ticket does) may happen again.
Redialing @Lydia_Pintscher for evaluation.

Lydia_Pintscher closed this task as Declined.Feb 16 2015, 5:11 PM
Lydia_Pintscher claimed this task.

Those should clearly be two different statements.

matej_suchanek set Security to None.